USE [COWS]
GO

IF EXISTS (SELECT * FROM information_schema.columns where column_name = 'STUS_ID_TMP')
ALTER TABLE dbo.LK_STUS DROP COLUMN STUS_ID_TMP;

ALTER TABLE dbo.LK_STUS ADD STUS_ID_TMP SMALLINT NULL;
GO
UPDATE dbo.LK_STUS SET STUS_ID_TMP = STUS_ID;
GO
ALTER TABLE dbo.LK_STUS ALTER COLUMN STUS_ID_TMP SMALLINT NOT NULL;
GO


ALTER TABLE arch.ACT_TASK DROP CONSTRAINT [FK04_ACT_TASK_arch];
GO
ALTER TABLE arch.EMAIL_REQ DROP CONSTRAINT [FK02_EMAIL_REQ_arch];
GO
ALTER TABLE arch.FSA_ORDR_GOM_XNCI DROP CONSTRAINT FK05_FSA_ORDR_GOM_XNCI_arch;
GO
ALTER TABLE arch.FSA_ORDR_MSG DROP CONSTRAINT FK03_FSA_ORDR_MSG_arch;
GO
ALTER TABLE arch.IPL_ORDR DROP CONSTRAINT FK05_IPL_ORDR_arch;
GO
ALTER TABLE arch.NRM_SRVC_INSTC DROP CONSTRAINT FK01_NRM_SRVC_INSTC_arch;
GO
ALTER TABLE arch.ODIE_DISC_REQ DROP CONSTRAINT FK02_ODIE_DISC_REQ_arch;
GO
ALTER TABLE arch.ODIE_REQ DROP CONSTRAINT FK03_ODIE_REQ_arch;
GO
ALTER TABLE arch.ORDR_CKT_CHG DROP CONSTRAINT FK05_ORDR_CKT_CHG_arch;
GO
ALTER TABLE arch.VNDR_ORDR_EMAIL DROP CONSTRAINT FK01_VNDR_ORDR_EMAIL_arch;
GO
ALTER TABLE arch.WG_PROF_STUS DROP CONSTRAINT FK04_WG_PROF_STUS_arch;
GO
ALTER TABLE arch.WG_PTRN_STUS DROP CONSTRAINT FK03_WG_PTRN_STUS_arch;
GO
ALTER TABLE dbo.ACT_TASK DROP CONSTRAINT FK04_ACT_TASK;
GO
ALTER TABLE dbo.ASR DROP CONSTRAINT FK04_MACH5_ASR;
GO
ALTER TABLE dbo.EMAIL_REQ DROP CONSTRAINT FK02_EMAIL_REQ;
GO
ALTER TABLE dbo.FEDLINE_EVENT_MSG DROP CONSTRAINT FK02_FEDLINE_EVENT_MSG;
GO
ALTER TABLE dbo.FSA_ORDR_GOM_XNCI DROP CONSTRAINT FK05_FSA_ORDR_GOM_XNCI;
GO
ALTER TABLE dbo.FSA_ORDR_MSG DROP CONSTRAINT FK03_FSA_ORDR_MSG;
GO
ALTER TABLE dbo.IPL_ORDR DROP CONSTRAINT FK05_IPL_ORDR;
GO
ALTER TABLE dbo.LK_TASK DROP CONSTRAINT FK02_LK_TASK;
GO
ALTER TABLE dbo.LK_TASK DROP CONSTRAINT FK03_LK_TASK;
GO
ALTER TABLE dbo.NRM_SRVC_INSTC DROP CONSTRAINT FK01_NRM_SRVC_INSTC;
GO
ALTER TABLE dbo.ODIE_DISC_REQ DROP CONSTRAINT FK02_ODIE_DISC_REQ;
GO
ALTER TABLE dbo.ODIE_REQ DROP CONSTRAINT FK03_ODIE_REQ;
GO
ALTER TABLE dbo.ORDR_CKT_CHG DROP CONSTRAINT FK05_ORDR_CKT_CHG;
GO
ALTER TABLE dbo.REDSGN DROP CONSTRAINT FK04_REDSGN;
GO
ALTER TABLE dbo.REDSGN DROP CONSTRAINT FK05_REDSGN;
GO
ALTER TABLE dbo.REDSGN_WRKFLW DROP CONSTRAINT FK01_REDSGN_WRKFLW;
GO
ALTER TABLE dbo.REDSGN_WRKFLW DROP CONSTRAINT FK02_REDSGN_WRKFLW;
GO
ALTER TABLE dbo.VNDR_ORDR_EMAIL DROP CONSTRAINT FK01_VNDR_ORDR_EMAIL;
GO
ALTER TABLE dbo.WG_PROF_STUS DROP CONSTRAINT FK04_WG_PROF_STUS;
GO
ALTER TABLE dbo.WG_PTRN_STUS DROP CONSTRAINT FK03_WG_PTRN_STUS;
GO
ALTER TABLE dbo.CPT DROP CONSTRAINT FK06_CPT;
GO
ALTER TABLE dbo.LK_STUS DROP CONSTRAINT PK_LK_STUS;
GO

ALTER TABLE COWS.arch.ACT_TASK NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.EMAIL_REQ NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.FSA_ORDR_GOM_XNCI NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.FSA_ORDR_MSG NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.IPL_ORDR NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.NRM_SRVC_INSTC NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.ODIE_DISC_REQ NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.ODIE_REQ NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.ORDR_CKT_CHG NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.VNDR_ORDR_EMAIL NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.WG_PROF_STUS NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.WG_PTRN_STUS NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ACT_TASK NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ASR NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.EMAIL_REQ NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.FEDLINE_EVENT_MSG NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.FSA_ORDR_GOM_XNCI NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.FSA_ORDR_MSG NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.IPL_ORDR NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.LK_TASK NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.LK_TASK NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.NRM_SRVC_INSTC NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ODIE_DISC_REQ NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ODIE_REQ NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ORDR_CKT_CHG NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.REDSGN NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.REDSGN NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.REDSGN_WRKFLW NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.REDSGN_WRKFLW NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.VNDR_ORDR_EMAIL NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.WG_PROF_STUS NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.WG_PTRN_STUS NOCHECK CONSTRAINT ALL
GO
ALTER TABLE dbo.CPT NOCHECK CONSTRAINT ALL
GO

ALTER TABLE arch.FSA_ORDR_MSG DROP CONSTRAINT DF_10_303062080_arch;
GO
ALTER TABLE arch.ODIE_REQ DROP CONSTRAINT DF_10_1483515554_arch;
GO
ALTER TABLE arch.WG_PROF_STUS DROP CONSTRAINT PK_WG_PROF_STUS_arch;
GO
ALTER TABLE arch.WG_PTRN_STUS DROP CONSTRAINT PK_WG_PTRN_STUS_arch;
GO

ALTER TABLE dbo.FSA_ORDR_MSG DROP CONSTRAINT DF_10_303062080;
GO
ALTER TABLE dbo.ODIE_REQ DROP CONSTRAINT DF_10_1483515554;
GO
ALTER TABLE dbo.WG_PTRN_STUS DROP CONSTRAINT PK_WG_PTRN_STUS;
GO
ALTER TABLE dbo.WG_PROF_STUS DROP CONSTRAINT PK_WG_PROF_STUS;
GO
ALTER TABLE dbo.REDSGN_WRKFLW DROP CONSTRAINT UX01_REDSGN_WRKFLW;
GO
DROP INDEX IX01_EMAIL_REQ ON dbo.EMAIL_REQ;
GO
DROP INDEX IX03_FSA_ORDR_GOM_XNCI ON dbo.FSA_ORDR_GOM_XNCI;
GO
DROP INDEX IX01_FSA_ORDR_MSG ON dbo.FSA_ORDR_MSG;
GO
DROP INDEX IX04_IPL_ORDR ON dbo.IPL_ORDR;
GO
DROP INDEX IX02_ODIE_REQ ON dbo.ODIE_REQ;
GO
DROP INDEX IX03_ORDR_CKT_CHG ON dbo.ORDR_CKT_CHG;
GO

ALTER TABLE dbo.LK_STUS DROP COLUMN STUS_ID;
EXEC SP_RENAME 'dbo.LK_STUS.STUS_ID_TMP', 'STUS_ID', 'COLUMN';
ALTER TABLE dbo.LK_STUS ADD CONSTRAINT PK_LK_STUS PRIMARY KEY (STUS_ID) 


ALTER TABLE arch.ACT_TASK ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.arch.EMAIL_REQ ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.arch.FSA_ORDR_GOM_XNCI ALTER COLUMN CPE_STUS_ID smallint NULL
GO
ALTER TABLE COWS.arch.FSA_ORDR_MSG ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.arch.IPL_ORDR ALTER COLUMN ORDR_STUS_ID smallint NULL
GO
ALTER TABLE COWS.arch.NRM_SRVC_INSTC ALTER COLUMN REC_STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.arch.ODIE_DISC_REQ ALTER COLUMN STUS_ID smallint NULL
GO
ALTER TABLE COWS.arch.ODIE_REQ ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.arch.ORDR_CKT_CHG ALTER COLUMN SALS_STUS_ID smallint NULL
GO
ALTER TABLE COWS.arch.VNDR_ORDR_EMAIL ALTER COLUMN EMAIL_STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.arch.WG_PROF_STUS ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.arch.WG_PTRN_STUS ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.ACT_TASK ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.ASR ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.EMAIL_REQ ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.FEDLINE_EVENT_MSG ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.FSA_ORDR_GOM_XNCI ALTER COLUMN CPE_STUS_ID smallint NULL
GO
ALTER TABLE COWS.dbo.FSA_ORDR_MSG ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.IPL_ORDR ALTER COLUMN ORDR_STUS_ID smallint NULL
GO
ALTER TABLE COWS.dbo.LK_TASK ALTER COLUMN ORDR_STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.LK_TASK ALTER COLUMN WG_STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.NRM_SRVC_INSTC ALTER COLUMN REC_STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.ODIE_DISC_REQ ALTER COLUMN STUS_ID smallint NULL
GO
ALTER TABLE COWS.dbo.ODIE_REQ ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.ORDR_CKT_CHG ALTER COLUMN SALS_STUS_ID smallint NULL
GO
ALTER TABLE COWS.dbo.REDSGN ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.REDSGN ALTER COLUMN REDSGN_DEV_STUS_ID smallint NULL
GO
ALTER TABLE COWS.dbo.REDSGN_WRKFLW ALTER COLUMN PRE_WRKFLW_STUS_ID smallint NULL
GO
ALTER TABLE COWS.dbo.REDSGN_WRKFLW ALTER COLUMN DESRD_WRKFLW_STUS_ID smallint NULL
GO
ALTER TABLE COWS.dbo.VNDR_ORDR_EMAIL ALTER COLUMN EMAIL_STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.WG_PROF_STUS ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.WG_PTRN_STUS ALTER COLUMN STUS_ID smallint NOT NULL
GO

alter table arch.FSA_ORDR_MSG 
 add constraint DF_10_303062080_arch 
 default ((10)) for [STUS_ID]
GO

alter table arch.ODIE_REQ 
 add constraint DF_10_1483515554_arch 
 default ((10)) for [STUS_ID]
GO

ALTER TABLE arch.WG_PROF_STUS
ADD CONSTRAINT PK_WG_PROF_STUS_arch PRIMARY KEY (ORDR_ID, WG_PROF_ID, WG_PTRN_ID, STUS_ID)
GO

ALTER TABLE arch.WG_PTRN_STUS
ADD CONSTRAINT PK_WG_PTRN_STUS_arch PRIMARY KEY (ORDR_ID, WG_PTRN_ID, STUS_ID)
GO

alter table dbo.FSA_ORDR_MSG 
 add constraint DF_10_303062080 
 default ((10)) for [STUS_ID]
GO

alter table dbo.ODIE_REQ 
 add constraint DF_10_1483515554 
 default ((10)) for [STUS_ID]
GO

ALTER TABLE dbo.WG_PTRN_STUS
ADD CONSTRAINT PK_WG_PTRN_STUS PRIMARY KEY (ORDR_ID, WG_PTRN_ID, STUS_ID)
GO

ALTER TABLE dbo.WG_PROF_STUS
ADD CONSTRAINT PK_WG_PROF_STUS PRIMARY KEY (ORDR_ID, WG_PROF_ID, WG_PTRN_ID, STUS_ID)
GO

ALTER TABLE dbo.REDSGN_WRKFLW
ADD CONSTRAINT UX01_REDSGN_WRKFLW UNIQUE (PRE_WRKFLW_STUS_ID, DESRD_WRKFLW_STUS_ID)
GO


CREATE NONCLUSTERED INDEX [IX01_EMAIL_REQ] ON [dbo].[EMAIL_REQ]
(
	[STUS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX03_FSA_ORDR_GOM_XNCI] ON [dbo].[FSA_ORDR_GOM_XNCI]
(
	[CPE_STUS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX01_FSA_ORDR_MSG] ON [dbo].[FSA_ORDR_MSG]
(
	[STUS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX04_IPL_ORDR] ON [dbo].[IPL_ORDR]
(
	[ORDR_STUS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX02_ODIE_REQ] ON [dbo].[ODIE_REQ]
(
	[STUS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX03_ORDR_CKT_CHG] ON [dbo].[ORDR_CKT_CHG]
(
	[SALS_STUS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE arch.ACT_TASK WITH NOCHECK ADD CONSTRAINT [FK04_ACT_TASK_arch] FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
GO 
ALTER TABLE arch.EMAIL_REQ WITH NOCHECK ADD CONSTRAINT [FK02_EMAIL_REQ_arch] FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
GO 
ALTER TABLE arch.FSA_ORDR_GOM_XNCI WITH NOCHECK ADD CONSTRAINT FK05_FSA_ORDR_GOM_XNCI_arch FOREIGN KEY([CPE_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
GO 
ALTER TABLE arch.FSA_ORDR_MSG WITH NOCHECK ADD CONSTRAINT FK03_FSA_ORDR_MSG_arch FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
GO 
ALTER TABLE arch.IPL_ORDR WITH NOCHECK ADD CONSTRAINT FK05_IPL_ORDR_arch FOREIGN KEY([ORDR_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
GO 
ALTER TABLE arch.NRM_SRVC_INSTC WITH NOCHECK ADD CONSTRAINT FK01_NRM_SRVC_INSTC_arch FOREIGN KEY([REC_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
GO 
ALTER TABLE arch.ODIE_DISC_REQ WITH NOCHECK ADD CONSTRAINT FK02_ODIE_DISC_REQ_arch FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
GO 
ALTER TABLE arch.ODIE_REQ WITH NOCHECK ADD CONSTRAINT FK03_ODIE_REQ_arch FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
GO 
ALTER TABLE arch.ORDR_CKT_CHG WITH NOCHECK ADD CONSTRAINT FK05_ORDR_CKT_CHG_arch FOREIGN KEY([SALS_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
GO 
ALTER TABLE arch.VNDR_ORDR_EMAIL WITH NOCHECK ADD CONSTRAINT FK01_VNDR_ORDR_EMAIL_arch FOREIGN KEY([EMAIL_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE arch.WG_PROF_STUS WITH NOCHECK ADD CONSTRAINT FK04_WG_PROF_STUS_arch FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE arch.WG_PTRN_STUS WITH NOCHECK ADD CONSTRAINT FK03_WG_PTRN_STUS_arch FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.ACT_TASK WITH NOCHECK ADD CONSTRAINT FK04_ACT_TASK FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.ASR WITH NOCHECK ADD CONSTRAINT FK04_MACH5_ASR FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.EMAIL_REQ WITH NOCHECK ADD CONSTRAINT FK02_EMAIL_REQ FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.FEDLINE_EVENT_MSG WITH NOCHECK ADD CONSTRAINT FK02_FEDLINE_EVENT_MSG FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.FSA_ORDR_GOM_XNCI WITH NOCHECK ADD CONSTRAINT FK05_FSA_ORDR_GOM_XNCI FOREIGN KEY([CPE_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.FSA_ORDR_MSG WITH NOCHECK ADD CONSTRAINT FK03_FSA_ORDR_MSG FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.IPL_ORDR WITH NOCHECK ADD CONSTRAINT FK05_IPL_ORDR FOREIGN KEY([ORDR_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.LK_TASK WITH NOCHECK ADD CONSTRAINT FK02_LK_TASK FOREIGN KEY([ORDR_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.LK_TASK WITH NOCHECK ADD CONSTRAINT FK03_LK_TASK FOREIGN KEY([WG_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.NRM_SRVC_INSTC WITH NOCHECK ADD CONSTRAINT FK01_NRM_SRVC_INSTC FOREIGN KEY([REC_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.ODIE_DISC_REQ WITH NOCHECK ADD CONSTRAINT FK02_ODIE_DISC_REQ FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.ODIE_REQ WITH NOCHECK ADD CONSTRAINT FK03_ODIE_REQ FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.ORDR_CKT_CHG WITH NOCHECK ADD CONSTRAINT FK05_ORDR_CKT_CHG FOREIGN KEY([SALS_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.REDSGN WITH NOCHECK ADD CONSTRAINT FK04_REDSGN FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.REDSGN WITH NOCHECK ADD CONSTRAINT FK05_REDSGN FOREIGN KEY([REDSGN_DEV_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.REDSGN_WRKFLW WITH NOCHECK ADD CONSTRAINT FK01_REDSGN_WRKFLW FOREIGN KEY([PRE_WRKFLW_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.REDSGN_WRKFLW WITH NOCHECK ADD CONSTRAINT FK02_REDSGN_WRKFLW FOREIGN KEY([DESRD_WRKFLW_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.VNDR_ORDR_EMAIL WITH NOCHECK ADD CONSTRAINT FK01_VNDR_ORDR_EMAIL FOREIGN KEY([EMAIL_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.WG_PROF_STUS WITH NOCHECK ADD CONSTRAINT FK04_WG_PROF_STUS FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.WG_PTRN_STUS WITH NOCHECK ADD CONSTRAINT FK03_WG_PTRN_STUS FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE [dbo].[CPT]  WITH NOCHECK ADD  CONSTRAINT [FK06_CPT] FOREIGN KEY([CPT_STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO


ALTER TABLE arch.ACT_TASK CHECK CONSTRAINT [FK04_ACT_TASK_arch] 
GO 
ALTER TABLE arch.EMAIL_REQ CHECK CONSTRAINT [FK02_EMAIL_REQ_arch] 
GO 
ALTER TABLE arch.FSA_ORDR_GOM_XNCI CHECK CONSTRAINT FK05_FSA_ORDR_GOM_XNCI_arch 
GO 
ALTER TABLE arch.FSA_ORDR_MSG CHECK CONSTRAINT FK03_FSA_ORDR_MSG_arch 
GO 
ALTER TABLE arch.IPL_ORDR CHECK CONSTRAINT FK05_IPL_ORDR_arch 
GO 
ALTER TABLE arch.NRM_SRVC_INSTC CHECK CONSTRAINT FK01_NRM_SRVC_INSTC_arch 
GO 
ALTER TABLE arch.ODIE_DISC_REQ CHECK CONSTRAINT FK02_ODIE_DISC_REQ_arch
GO 
ALTER TABLE arch.ODIE_REQ CHECK CONSTRAINT FK03_ODIE_REQ_arch 
GO 
ALTER TABLE arch.ORDR_CKT_CHG CHECK CONSTRAINT FK05_ORDR_CKT_CHG_arch 
GO 
ALTER TABLE arch.VNDR_ORDR_EMAIL CHECK CONSTRAINT FK01_VNDR_ORDR_EMAIL_arch 
GO 
ALTER TABLE arch.WG_PROF_STUS CHECK CONSTRAINT FK04_WG_PROF_STUS_arch 
GO 
ALTER TABLE arch.WG_PTRN_STUS CHECK CONSTRAINT FK03_WG_PTRN_STUS_arch 
GO 
ALTER TABLE dbo.ACT_TASK CHECK CONSTRAINT FK04_ACT_TASK 
GO 
ALTER TABLE dbo.ASR CHECK CONSTRAINT FK04_MACH5_ASR 
GO 
ALTER TABLE dbo.EMAIL_REQ CHECK CONSTRAINT FK02_EMAIL_REQ 
GO 
ALTER TABLE dbo.FEDLINE_EVENT_MSG CHECK CONSTRAINT FK02_FEDLINE_EVENT_MSG 
GO 
ALTER TABLE dbo.FSA_ORDR_GOM_XNCI CHECK CONSTRAINT FK05_FSA_ORDR_GOM_XNCI 
GO 
ALTER TABLE dbo.FSA_ORDR_MSG CHECK CONSTRAINT FK03_FSA_ORDR_MSG 
GO 
ALTER TABLE dbo.IPL_ORDR CHECK CONSTRAINT FK05_IPL_ORDR 
GO 
ALTER TABLE dbo.LK_TASK CHECK CONSTRAINT FK02_LK_TASK 
GO 
ALTER TABLE dbo.LK_TASK CHECK CONSTRAINT FK03_LK_TASK 
GO 
ALTER TABLE dbo.NRM_SRVC_INSTC CHECK CONSTRAINT FK01_NRM_SRVC_INSTC 
GO 
ALTER TABLE dbo.ODIE_DISC_REQ CHECK CONSTRAINT FK02_ODIE_DISC_REQ 
GO 
ALTER TABLE dbo.ODIE_REQ CHECK CONSTRAINT FK03_ODIE_REQ 
GO 
ALTER TABLE dbo.ORDR_CKT_CHG CHECK CONSTRAINT FK05_ORDR_CKT_CHG 
GO 
ALTER TABLE dbo.REDSGN CHECK CONSTRAINT FK04_REDSGN 
GO 
ALTER TABLE dbo.REDSGN CHECK CONSTRAINT FK05_REDSGN 
GO 
ALTER TABLE dbo.REDSGN_WRKFLW CHECK CONSTRAINT FK01_REDSGN_WRKFLW 
GO 
ALTER TABLE dbo.REDSGN_WRKFLW CHECK CONSTRAINT FK02_REDSGN_WRKFLW 
GO 
ALTER TABLE dbo.VNDR_ORDR_EMAIL CHECK CONSTRAINT FK01_VNDR_ORDR_EMAIL 
GO 
ALTER TABLE dbo.WG_PROF_STUS CHECK CONSTRAINT FK04_WG_PROF_STUS 
GO 
ALTER TABLE dbo.WG_PTRN_STUS CHECK CONSTRAINT FK03_WG_PTRN_STUS 
GO 
ALTER TABLE [dbo].[CPT] CHECK CONSTRAINT [FK06_CPT]
GO

ALTER TABLE COWS.arch.ACT_TASK CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.EMAIL_REQ CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.FSA_ORDR_GOM_XNCI CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.FSA_ORDR_MSG CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.IPL_ORDR CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.NRM_SRVC_INSTC CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.ODIE_DISC_REQ CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.ODIE_REQ CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.ORDR_CKT_CHG CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.VNDR_ORDR_EMAIL CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.WG_PROF_STUS CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.arch.WG_PTRN_STUS CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ACT_TASK CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ASR CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.EMAIL_REQ CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.FEDLINE_EVENT_MSG CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.FSA_ORDR_GOM_XNCI CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.FSA_ORDR_MSG CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.IPL_ORDR CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.LK_TASK CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.LK_TASK CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.NRM_SRVC_INSTC CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ODIE_DISC_REQ CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ODIE_REQ CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ORDR_CKT_CHG CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.REDSGN CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.REDSGN CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.REDSGN_WRKFLW CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.REDSGN_WRKFLW CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.VNDR_ORDR_EMAIL CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.WG_PROF_STUS CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.WG_PTRN_STUS CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.CPT CHECK CONSTRAINT ALL
GO



-------------------------------------------
--WITHOUT ARCH
-------------------------------------------
USE [COWS]
GO

IF EXISTS (SELECT * FROM information_schema.columns where column_name = 'STUS_ID_TMP')
ALTER TABLE dbo.LK_STUS DROP COLUMN STUS_ID_TMP;

ALTER TABLE dbo.LK_STUS ADD STUS_ID_TMP SMALLINT NULL;
GO
UPDATE dbo.LK_STUS SET STUS_ID_TMP = STUS_ID;
GO
ALTER TABLE dbo.LK_STUS ALTER COLUMN STUS_ID_TMP SMALLINT NOT NULL;
GO


--ALTER TABLE arch.ACT_TASK DROP CONSTRAINT [FK04_ACT_TASK_arch];
--GO
--ALTER TABLE arch.EMAIL_REQ DROP CONSTRAINT [FK02_EMAIL_REQ_arch];
--GO
--ALTER TABLE arch.FSA_ORDR_GOM_XNCI DROP CONSTRAINT FK05_FSA_ORDR_GOM_XNCI_arch;
--GO
--ALTER TABLE arch.FSA_ORDR_MSG DROP CONSTRAINT FK03_FSA_ORDR_MSG_arch;
--GO
--ALTER TABLE arch.IPL_ORDR DROP CONSTRAINT FK05_IPL_ORDR_arch;
--GO
--ALTER TABLE arch.NRM_SRVC_INSTC DROP CONSTRAINT FK01_NRM_SRVC_INSTC_arch;
--GO
--ALTER TABLE arch.ODIE_DISC_REQ DROP CONSTRAINT FK02_ODIE_DISC_REQ_arch;
--GO
--ALTER TABLE arch.ODIE_REQ DROP CONSTRAINT FK03_ODIE_REQ_arch;
--GO
--ALTER TABLE arch.ORDR_CKT_CHG DROP CONSTRAINT FK05_ORDR_CKT_CHG_arch;
--GO
--ALTER TABLE arch.VNDR_ORDR_EMAIL DROP CONSTRAINT FK01_VNDR_ORDR_EMAIL_arch;
--GO
--ALTER TABLE arch.WG_PROF_STUS DROP CONSTRAINT FK04_WG_PROF_STUS_arch;
--GO
--ALTER TABLE arch.WG_PTRN_STUS DROP CONSTRAINT FK03_WG_PTRN_STUS_arch;
--GO
ALTER TABLE dbo.ACT_TASK DROP CONSTRAINT FK04_ACT_TASK;
GO
ALTER TABLE dbo.ASR DROP CONSTRAINT FK04_MACH5_ASR;
GO
ALTER TABLE dbo.EMAIL_REQ DROP CONSTRAINT FK02_EMAIL_REQ;
GO
ALTER TABLE dbo.FEDLINE_EVENT_MSG DROP CONSTRAINT FK02_FEDLINE_EVENT_MSG;
GO
ALTER TABLE dbo.FSA_ORDR_GOM_XNCI DROP CONSTRAINT FK05_FSA_ORDR_GOM_XNCI;
GO
ALTER TABLE dbo.FSA_ORDR_MSG DROP CONSTRAINT FK03_FSA_ORDR_MSG;
GO
ALTER TABLE dbo.IPL_ORDR DROP CONSTRAINT FK05_IPL_ORDR;
GO
ALTER TABLE dbo.LK_TASK DROP CONSTRAINT FK02_LK_TASK;
GO
ALTER TABLE dbo.LK_TASK DROP CONSTRAINT FK03_LK_TASK;
GO
ALTER TABLE dbo.NRM_SRVC_INSTC DROP CONSTRAINT FK01_NRM_SRVC_INSTC;
GO
ALTER TABLE dbo.ODIE_DISC_REQ DROP CONSTRAINT FK02_ODIE_DISC_REQ;
GO
ALTER TABLE dbo.ODIE_REQ DROP CONSTRAINT FK03_ODIE_REQ;
GO
ALTER TABLE dbo.ORDR_CKT_CHG DROP CONSTRAINT FK05_ORDR_CKT_CHG;
GO
ALTER TABLE dbo.REDSGN DROP CONSTRAINT FK04_REDSGN;
GO
ALTER TABLE dbo.REDSGN DROP CONSTRAINT FK05_REDSGN;
GO
ALTER TABLE dbo.REDSGN_WRKFLW DROP CONSTRAINT FK01_REDSGN_WRKFLW;
GO
ALTER TABLE dbo.REDSGN_WRKFLW DROP CONSTRAINT FK02_REDSGN_WRKFLW;
GO
ALTER TABLE dbo.VNDR_ORDR_EMAIL DROP CONSTRAINT FK01_VNDR_ORDR_EMAIL;
GO
ALTER TABLE dbo.WG_PROF_STUS DROP CONSTRAINT FK04_WG_PROF_STUS;
GO
ALTER TABLE dbo.WG_PTRN_STUS DROP CONSTRAINT FK03_WG_PTRN_STUS;
GO
--ALTER TABLE dbo.CPT DROP CONSTRAINT FK06_CPT;
--GO
ALTER TABLE dbo.LK_STUS DROP CONSTRAINT PK_LK_STUS;
GO

--ALTER TABLE COWS.arch.ACT_TASK NOCHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.EMAIL_REQ NOCHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.FSA_ORDR_GOM_XNCI NOCHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.FSA_ORDR_MSG NOCHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.IPL_ORDR NOCHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.NRM_SRVC_INSTC NOCHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.ODIE_DISC_REQ NOCHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.ODIE_REQ NOCHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.ORDR_CKT_CHG NOCHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.VNDR_ORDR_EMAIL NOCHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.WG_PROF_STUS NOCHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.WG_PTRN_STUS NOCHECK CONSTRAINT ALL
--GO
ALTER TABLE COWS.dbo.ACT_TASK NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ASR NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.EMAIL_REQ NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.FEDLINE_EVENT_MSG NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.FSA_ORDR_GOM_XNCI NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.FSA_ORDR_MSG NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.IPL_ORDR NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.LK_TASK NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.LK_TASK NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.NRM_SRVC_INSTC NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ODIE_DISC_REQ NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ODIE_REQ NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ORDR_CKT_CHG NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.REDSGN NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.REDSGN NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.REDSGN_WRKFLW NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.REDSGN_WRKFLW NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.VNDR_ORDR_EMAIL NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.WG_PROF_STUS NOCHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.WG_PTRN_STUS NOCHECK CONSTRAINT ALL
GO
--ALTER TABLE dbo.CPT NOCHECK CONSTRAINT ALL
--GO

--ALTER TABLE arch.FSA_ORDR_MSG DROP CONSTRAINT DF_10_303062080_arch;
--GO
--ALTER TABLE arch.ODIE_REQ DROP CONSTRAINT DF_10_1483515554_arch;
--GO
--ALTER TABLE arch.WG_PROF_STUS DROP CONSTRAINT PK_WG_PROF_STUS_arch;
--GO
--ALTER TABLE arch.WG_PTRN_STUS DROP CONSTRAINT PK_WG_PTRN_STUS_arch;
--GO

ALTER TABLE dbo.FSA_ORDR_MSG DROP CONSTRAINT DF_10_303062080;
GO
ALTER TABLE dbo.ODIE_REQ DROP CONSTRAINT DF_10_1483515554;
GO
ALTER TABLE dbo.WG_PTRN_STUS DROP CONSTRAINT PK_WG_PTRN_STUS;
GO
ALTER TABLE dbo.WG_PROF_STUS DROP CONSTRAINT PK_WG_PROF_STUS;
GO
ALTER TABLE dbo.REDSGN_WRKFLW DROP CONSTRAINT UX01_REDSGN_WRKFLW;
GO
DROP INDEX IX01_EMAIL_REQ ON dbo.EMAIL_REQ;
GO
DROP INDEX IX03_FSA_ORDR_GOM_XNCI ON dbo.FSA_ORDR_GOM_XNCI;
GO
DROP INDEX IX01_FSA_ORDR_MSG ON dbo.FSA_ORDR_MSG;
GO
DROP INDEX IX04_IPL_ORDR ON dbo.IPL_ORDR;
GO
DROP INDEX IX02_ODIE_REQ ON dbo.ODIE_REQ;
GO
DROP INDEX IX03_ORDR_CKT_CHG ON dbo.ORDR_CKT_CHG;
GO

ALTER TABLE dbo.LK_STUS DROP COLUMN STUS_ID;
EXEC SP_RENAME 'dbo.LK_STUS.STUS_ID_TMP', 'STUS_ID', 'COLUMN';
ALTER TABLE dbo.LK_STUS ADD CONSTRAINT PK_LK_STUS PRIMARY KEY (STUS_ID) 


--ALTER TABLE arch.ACT_TASK ALTER COLUMN STUS_ID smallint NOT NULL
--GO
--ALTER TABLE COWS.arch.EMAIL_REQ ALTER COLUMN STUS_ID smallint NOT NULL
--GO
--ALTER TABLE COWS.arch.FSA_ORDR_GOM_XNCI ALTER COLUMN CPE_STUS_ID smallint NULL
--GO
--ALTER TABLE COWS.arch.FSA_ORDR_MSG ALTER COLUMN STUS_ID smallint NOT NULL
--GO
--ALTER TABLE COWS.arch.IPL_ORDR ALTER COLUMN ORDR_STUS_ID smallint NULL
--GO
--ALTER TABLE COWS.arch.NRM_SRVC_INSTC ALTER COLUMN REC_STUS_ID smallint NOT NULL
--GO
--ALTER TABLE COWS.arch.ODIE_DISC_REQ ALTER COLUMN STUS_ID smallint NULL
--GO
--ALTER TABLE COWS.arch.ODIE_REQ ALTER COLUMN STUS_ID smallint NOT NULL
--GO
--ALTER TABLE COWS.arch.ORDR_CKT_CHG ALTER COLUMN SALS_STUS_ID smallint NULL
--GO
--ALTER TABLE COWS.arch.VNDR_ORDR_EMAIL ALTER COLUMN EMAIL_STUS_ID smallint NOT NULL
--GO
--ALTER TABLE COWS.arch.WG_PROF_STUS ALTER COLUMN STUS_ID smallint NOT NULL
--GO
--ALTER TABLE COWS.arch.WG_PTRN_STUS ALTER COLUMN STUS_ID smallint NOT NULL
--GO
ALTER TABLE COWS.dbo.ACT_TASK ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.ASR ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.EMAIL_REQ ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.FEDLINE_EVENT_MSG ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.FSA_ORDR_GOM_XNCI ALTER COLUMN CPE_STUS_ID smallint NULL
GO
ALTER TABLE COWS.dbo.FSA_ORDR_MSG ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.IPL_ORDR ALTER COLUMN ORDR_STUS_ID smallint NULL
GO
ALTER TABLE COWS.dbo.LK_TASK ALTER COLUMN ORDR_STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.LK_TASK ALTER COLUMN WG_STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.NRM_SRVC_INSTC ALTER COLUMN REC_STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.ODIE_DISC_REQ ALTER COLUMN STUS_ID smallint NULL
GO
ALTER TABLE COWS.dbo.ODIE_REQ ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.ORDR_CKT_CHG ALTER COLUMN SALS_STUS_ID smallint NULL
GO
ALTER TABLE COWS.dbo.REDSGN ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.REDSGN ALTER COLUMN REDSGN_DEV_STUS_ID smallint NULL
GO
ALTER TABLE COWS.dbo.REDSGN_WRKFLW ALTER COLUMN PRE_WRKFLW_STUS_ID smallint NULL
GO
ALTER TABLE COWS.dbo.REDSGN_WRKFLW ALTER COLUMN DESRD_WRKFLW_STUS_ID smallint NULL
GO
ALTER TABLE COWS.dbo.VNDR_ORDR_EMAIL ALTER COLUMN EMAIL_STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.WG_PROF_STUS ALTER COLUMN STUS_ID smallint NOT NULL
GO
ALTER TABLE COWS.dbo.WG_PTRN_STUS ALTER COLUMN STUS_ID smallint NOT NULL
GO

--alter table arch.FSA_ORDR_MSG 
-- add constraint DF_10_303062080_arch 
-- default ((10)) for [STUS_ID]
--GO

--alter table arch.ODIE_REQ 
-- add constraint DF_10_1483515554_arch 
-- default ((10)) for [STUS_ID]
--GO

--ALTER TABLE arch.WG_PROF_STUS
--ADD CONSTRAINT PK_WG_PROF_STUS_arch PRIMARY KEY (ORDR_ID, WG_PROF_ID, WG_PTRN_ID, STUS_ID)
--GO

--ALTER TABLE arch.WG_PTRN_STUS
--ADD CONSTRAINT PK_WG_PTRN_STUS_arch PRIMARY KEY (ORDR_ID, WG_PTRN_ID, STUS_ID)
--GO

alter table dbo.FSA_ORDR_MSG 
 add constraint DF_10_303062080 
 default ((10)) for [STUS_ID]
GO

alter table dbo.ODIE_REQ 
 add constraint DF_10_1483515554 
 default ((10)) for [STUS_ID]
GO

ALTER TABLE dbo.WG_PTRN_STUS
ADD CONSTRAINT PK_WG_PTRN_STUS PRIMARY KEY (ORDR_ID, WG_PTRN_ID, STUS_ID)
GO

ALTER TABLE dbo.WG_PROF_STUS
ADD CONSTRAINT PK_WG_PROF_STUS PRIMARY KEY (ORDR_ID, WG_PROF_ID, WG_PTRN_ID, STUS_ID)
GO

ALTER TABLE dbo.REDSGN_WRKFLW
ADD CONSTRAINT UX01_REDSGN_WRKFLW UNIQUE (PRE_WRKFLW_STUS_ID, DESRD_WRKFLW_STUS_ID)
GO


CREATE NONCLUSTERED INDEX [IX01_EMAIL_REQ] ON [dbo].[EMAIL_REQ]
(
	[STUS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX03_FSA_ORDR_GOM_XNCI] ON [dbo].[FSA_ORDR_GOM_XNCI]
(
	[CPE_STUS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX01_FSA_ORDR_MSG] ON [dbo].[FSA_ORDR_MSG]
(
	[STUS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX04_IPL_ORDR] ON [dbo].[IPL_ORDR]
(
	[ORDR_STUS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX02_ODIE_REQ] ON [dbo].[ODIE_REQ]
(
	[STUS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX03_ORDR_CKT_CHG] ON [dbo].[ORDR_CKT_CHG]
(
	[SALS_STUS_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

--ALTER TABLE arch.ACT_TASK WITH NOCHECK ADD CONSTRAINT [FK04_ACT_TASK_arch] FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
--GO 
--ALTER TABLE arch.EMAIL_REQ WITH NOCHECK ADD CONSTRAINT [FK02_EMAIL_REQ_arch] FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
--GO 
--ALTER TABLE arch.FSA_ORDR_GOM_XNCI WITH NOCHECK ADD CONSTRAINT FK05_FSA_ORDR_GOM_XNCI_arch FOREIGN KEY([CPE_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
--GO 
--ALTER TABLE arch.FSA_ORDR_MSG WITH NOCHECK ADD CONSTRAINT FK03_FSA_ORDR_MSG_arch FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
--GO 
--ALTER TABLE arch.IPL_ORDR WITH NOCHECK ADD CONSTRAINT FK05_IPL_ORDR_arch FOREIGN KEY([ORDR_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
--GO 
--ALTER TABLE arch.NRM_SRVC_INSTC WITH NOCHECK ADD CONSTRAINT FK01_NRM_SRVC_INSTC_arch FOREIGN KEY([REC_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
--GO 
--ALTER TABLE arch.ODIE_DISC_REQ WITH NOCHECK ADD CONSTRAINT FK02_ODIE_DISC_REQ_arch FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
--GO 
--ALTER TABLE arch.ODIE_REQ WITH NOCHECK ADD CONSTRAINT FK03_ODIE_REQ_arch FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
--GO 
--ALTER TABLE arch.ORDR_CKT_CHG WITH NOCHECK ADD CONSTRAINT FK05_ORDR_CKT_CHG_arch FOREIGN KEY([SALS_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID])
--GO 
--ALTER TABLE arch.VNDR_ORDR_EMAIL WITH NOCHECK ADD CONSTRAINT FK01_VNDR_ORDR_EMAIL_arch FOREIGN KEY([EMAIL_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
--GO 
--ALTER TABLE arch.WG_PROF_STUS WITH NOCHECK ADD CONSTRAINT FK04_WG_PROF_STUS_arch FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
--GO 
--ALTER TABLE arch.WG_PTRN_STUS WITH NOCHECK ADD CONSTRAINT FK03_WG_PTRN_STUS_arch FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
--GO 
ALTER TABLE dbo.ACT_TASK WITH NOCHECK ADD CONSTRAINT FK04_ACT_TASK FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.ASR WITH NOCHECK ADD CONSTRAINT FK04_MACH5_ASR FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.EMAIL_REQ WITH NOCHECK ADD CONSTRAINT FK02_EMAIL_REQ FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.FEDLINE_EVENT_MSG WITH NOCHECK ADD CONSTRAINT FK02_FEDLINE_EVENT_MSG FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.FSA_ORDR_GOM_XNCI WITH NOCHECK ADD CONSTRAINT FK05_FSA_ORDR_GOM_XNCI FOREIGN KEY([CPE_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.FSA_ORDR_MSG WITH NOCHECK ADD CONSTRAINT FK03_FSA_ORDR_MSG FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.IPL_ORDR WITH NOCHECK ADD CONSTRAINT FK05_IPL_ORDR FOREIGN KEY([ORDR_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.LK_TASK WITH NOCHECK ADD CONSTRAINT FK02_LK_TASK FOREIGN KEY([ORDR_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.LK_TASK WITH NOCHECK ADD CONSTRAINT FK03_LK_TASK FOREIGN KEY([WG_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.NRM_SRVC_INSTC WITH NOCHECK ADD CONSTRAINT FK01_NRM_SRVC_INSTC FOREIGN KEY([REC_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.ODIE_DISC_REQ WITH NOCHECK ADD CONSTRAINT FK02_ODIE_DISC_REQ FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.ODIE_REQ WITH NOCHECK ADD CONSTRAINT FK03_ODIE_REQ FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.ORDR_CKT_CHG WITH NOCHECK ADD CONSTRAINT FK05_ORDR_CKT_CHG FOREIGN KEY([SALS_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.REDSGN WITH NOCHECK ADD CONSTRAINT FK04_REDSGN FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.REDSGN WITH NOCHECK ADD CONSTRAINT FK05_REDSGN FOREIGN KEY([REDSGN_DEV_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.REDSGN_WRKFLW WITH NOCHECK ADD CONSTRAINT FK01_REDSGN_WRKFLW FOREIGN KEY([PRE_WRKFLW_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.REDSGN_WRKFLW WITH NOCHECK ADD CONSTRAINT FK02_REDSGN_WRKFLW FOREIGN KEY([DESRD_WRKFLW_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.VNDR_ORDR_EMAIL WITH NOCHECK ADD CONSTRAINT FK01_VNDR_ORDR_EMAIL FOREIGN KEY([EMAIL_STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.WG_PROF_STUS WITH NOCHECK ADD CONSTRAINT FK04_WG_PROF_STUS FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
ALTER TABLE dbo.WG_PTRN_STUS WITH NOCHECK ADD CONSTRAINT FK03_WG_PTRN_STUS FOREIGN KEY([STUS_ID]) REFERENCES  [dbo].[LK_STUS] ([STUS_ID]) 
GO 
--ALTER TABLE [dbo].[CPT]  WITH NOCHECK ADD  CONSTRAINT [FK06_CPT] FOREIGN KEY([CPT_STUS_ID])
--REFERENCES [dbo].[LK_STUS] ([STUS_ID])
--GO


--ALTER TABLE arch.ACT_TASK CHECK CONSTRAINT [FK04_ACT_TASK_arch] 
--GO 
--ALTER TABLE arch.EMAIL_REQ CHECK CONSTRAINT [FK02_EMAIL_REQ_arch] 
--GO 
--ALTER TABLE arch.FSA_ORDR_GOM_XNCI CHECK CONSTRAINT FK05_FSA_ORDR_GOM_XNCI_arch 
--GO 
--ALTER TABLE arch.FSA_ORDR_MSG CHECK CONSTRAINT FK03_FSA_ORDR_MSG_arch 
--GO 
--ALTER TABLE arch.IPL_ORDR CHECK CONSTRAINT FK05_IPL_ORDR_arch 
--GO 
--ALTER TABLE arch.NRM_SRVC_INSTC CHECK CONSTRAINT FK01_NRM_SRVC_INSTC_arch 
--GO 
--ALTER TABLE arch.ODIE_DISC_REQ CHECK CONSTRAINT FK02_ODIE_DISC_REQ_arch
--GO 
--ALTER TABLE arch.ODIE_REQ CHECK CONSTRAINT FK03_ODIE_REQ_arch 
--GO 
--ALTER TABLE arch.ORDR_CKT_CHG CHECK CONSTRAINT FK05_ORDR_CKT_CHG_arch 
--GO 
--ALTER TABLE arch.VNDR_ORDR_EMAIL CHECK CONSTRAINT FK01_VNDR_ORDR_EMAIL_arch 
--GO 
--ALTER TABLE arch.WG_PROF_STUS CHECK CONSTRAINT FK04_WG_PROF_STUS_arch 
--GO 
--ALTER TABLE arch.WG_PTRN_STUS CHECK CONSTRAINT FK03_WG_PTRN_STUS_arch 
--GO 
ALTER TABLE dbo.ACT_TASK CHECK CONSTRAINT FK04_ACT_TASK 
GO 
ALTER TABLE dbo.ASR CHECK CONSTRAINT FK04_MACH5_ASR 
GO 
ALTER TABLE dbo.EMAIL_REQ CHECK CONSTRAINT FK02_EMAIL_REQ 
GO 
ALTER TABLE dbo.FEDLINE_EVENT_MSG CHECK CONSTRAINT FK02_FEDLINE_EVENT_MSG 
GO 
ALTER TABLE dbo.FSA_ORDR_GOM_XNCI CHECK CONSTRAINT FK05_FSA_ORDR_GOM_XNCI 
GO 
ALTER TABLE dbo.FSA_ORDR_MSG CHECK CONSTRAINT FK03_FSA_ORDR_MSG 
GO 
ALTER TABLE dbo.IPL_ORDR CHECK CONSTRAINT FK05_IPL_ORDR 
GO 
ALTER TABLE dbo.LK_TASK CHECK CONSTRAINT FK02_LK_TASK 
GO 
ALTER TABLE dbo.LK_TASK CHECK CONSTRAINT FK03_LK_TASK 
GO 
ALTER TABLE dbo.NRM_SRVC_INSTC CHECK CONSTRAINT FK01_NRM_SRVC_INSTC 
GO 
ALTER TABLE dbo.ODIE_DISC_REQ CHECK CONSTRAINT FK02_ODIE_DISC_REQ 
GO 
ALTER TABLE dbo.ODIE_REQ CHECK CONSTRAINT FK03_ODIE_REQ 
GO 
ALTER TABLE dbo.ORDR_CKT_CHG CHECK CONSTRAINT FK05_ORDR_CKT_CHG 
GO 
ALTER TABLE dbo.REDSGN CHECK CONSTRAINT FK04_REDSGN 
GO 
ALTER TABLE dbo.REDSGN CHECK CONSTRAINT FK05_REDSGN 
GO 
ALTER TABLE dbo.REDSGN_WRKFLW CHECK CONSTRAINT FK01_REDSGN_WRKFLW 
GO 
ALTER TABLE dbo.REDSGN_WRKFLW CHECK CONSTRAINT FK02_REDSGN_WRKFLW 
GO 
ALTER TABLE dbo.VNDR_ORDR_EMAIL CHECK CONSTRAINT FK01_VNDR_ORDR_EMAIL 
GO 
ALTER TABLE dbo.WG_PROF_STUS CHECK CONSTRAINT FK04_WG_PROF_STUS 
GO 
ALTER TABLE dbo.WG_PTRN_STUS CHECK CONSTRAINT FK03_WG_PTRN_STUS 
GO 
--ALTER TABLE [dbo].[CPT] CHECK CONSTRAINT [FK06_CPT]
--GO

--ALTER TABLE COWS.arch.ACT_TASK CHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.EMAIL_REQ CHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.FSA_ORDR_GOM_XNCI CHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.FSA_ORDR_MSG CHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.IPL_ORDR CHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.NRM_SRVC_INSTC CHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.ODIE_DISC_REQ CHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.ODIE_REQ CHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.ORDR_CKT_CHG CHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.VNDR_ORDR_EMAIL CHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.WG_PROF_STUS CHECK CONSTRAINT ALL
--GO
--ALTER TABLE COWS.arch.WG_PTRN_STUS CHECK CONSTRAINT ALL
--GO
ALTER TABLE COWS.dbo.ACT_TASK CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ASR CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.EMAIL_REQ CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.FEDLINE_EVENT_MSG CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.FSA_ORDR_GOM_XNCI CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.FSA_ORDR_MSG CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.IPL_ORDR CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.LK_TASK CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.LK_TASK CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.NRM_SRVC_INSTC CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ODIE_DISC_REQ CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ODIE_REQ CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.ORDR_CKT_CHG CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.REDSGN CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.REDSGN CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.REDSGN_WRKFLW CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.REDSGN_WRKFLW CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.VNDR_ORDR_EMAIL CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.WG_PROF_STUS CHECK CONSTRAINT ALL
GO
ALTER TABLE COWS.dbo.WG_PTRN_STUS CHECK CONSTRAINT ALL
GO
--ALTER TABLE COWS.dbo.CPT CHECK CONSTRAINT ALL
--GO